package com.ruoyi.system.service.fgw;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.fgw.FgwShyj;
import com.ruoyi.system.domain.fgw.FgwXmsb;

import java.util.List;


/**
 * 发改委_审核意见Service接口
 * 
 * @author boman
 * @date 2023-03-22
 */
public interface IFgwShyjService 
{
    /**
     * 查询发改委_审核意见
     * 
     * @param id 发改委_审核意见主键
     * @return 发改委_审核意见
     */
    public FgwShyj selectFgwShyjById(Long id);

    /**
     * 查询发改委_审核意见列表
     * 
     * @param fgwShyj 发改委_审核意见
     * @return 发改委_审核意见集合
     */
    public List<FgwShyj> selectFgwShyjList(FgwShyj fgwShyj);

    /**
     * 新增发改委_审核意见
     * 
     * @param fgwShyj 发改委_审核意见
     * @return 结果
     */
    public int insertFgwShyj(FgwShyj fgwShyj);

    /**
     * 修改发改委_审核意见
     * 
     * @param fgwShyj 发改委_审核意见
     * @return 结果
     */
    public int updateFgwShyj(FgwShyj fgwShyj);

    /**
     * 批量删除发改委_审核意见
     * 
     * @param ids 需要删除的发改委_审核意见主键集合
     * @return 结果
     */
    public int deleteFgwShyjByIds(Long[] ids);

    /**
     * 删除发改委_审核意见信息
     * 
     * @param id 发改委_审核意见主键
     * @return 结果
     */
    public int deleteFgwShyjById(Long id);

    /**
     * 发改委审核
     */
    public AjaxResult xssh(FgwShyj fgwShyj);
    public AjaxResult sxsh(FgwShyj fgwShyj);
    public AjaxResult jssh(FgwShyj fgwShyj);
    public AjaxResult jgsh(FgwShyj fgwShyj);
    public AjaxResult jzqksh(FgwShyj fgwShyj);
    //竣工申请
    public AjaxResult jgsq(FgwXmsb fgwXmsb);
}
